package formview

import (
	"go_dreamfactory/cmd/v2/model"

	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/widget"
)

type MainlineChallengeView struct {
	BaseformView
}

func (this *MainlineChallengeView) CreateView(t *model.TestCase) fyne.CanvasObject {
	chapterId := widget.NewEntry()
	this.form.AppendItem(widget.NewFormItem("关卡ID", chapterId))

	subChapterId := widget.NewEntry()
	this.form.AppendItem(widget.NewFormItem("小关卡ID", subChapterId))

	return this.form
}
